spa_pod_builder Struct Reference
SPA » POD

## Data Fields

void * | data
uint32_t | size
uint32_t | _padding
struct spa_pod_builder_state | state
struct spa_callbacks | callbacks

## Detailed Description

Examples
  audio-dsp-filter.c, audio-src.c, export-sink.c, export-source.c, local-v4l2.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, tutorial4.c, tutorial5.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## data

void* spa_pod_builder::data

Examples
  audio-dsp-filter.c, audio-src.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, tutorial4.c, tutorial5.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## size

uint32_t spa_pod_builder::size

Examples
  spa/examples/local-libcamera.c, and spa/examples/local-v4l2.c.

## _padding

uint32_t spa_pod_builder::_padding

## state

struct spa_pod_builder_state spa_pod_builder::state

Examples
  spa/examples/adapter-control.c.

## callbacks

struct spa_callbacks spa_pod_builder::callbacks

The documentation for this struct was generated from the following file:

- spa/pod/builder.h